%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           sphinx-webtools
Version:        0.2.1
Release:        20120537.hg86a2eac02afe%{?dist}
Summary:        Sphinx web tools for python web frameworks

Group:          Applications/Internet
License:        BSD
URL:            http://pypi.python.org/pypi/sphinx.webtools
# Produce via 'hg clone -r 86a2eac02afe https://bitbucket.org/florent/sphinx-webtools sphinx-webtools-0.2.1'
# tar -czvf sphinx-webtools-0.2.1.20120520.hg86a2eac02afe.tar.gz sphinx-webtools-0.2.1
Source0:        sphinx-webtools-0.2.1.20120520.hg86a2eac02afe.tar.gz
Patch0:         01-remove-data.patch
Patch1:		02-remove-namespace.patch

BuildArch:      noarch
BuildRequires:  python2-devel, python2-setuptools, python2-genshi >= 0.5.1, python2-sphinx >= 0.5.1
Requires:       python2-genshi >= 0.5.1, python2-sphinx >= 0.5.1

%description
This package includes some tools to manage sphinx
docs on the Python web framework: generate docs, get 
contents and links, search functionalities.

%prep
%setup -q -n sphinx-webtools-0.2.1
%patch0 -p0
%patch1 -p1

%build
%{__python} setup.py build

%check
%if 0%{?fedora}
	echo "Tests disabled on Fedora Build machines."
%else
        %{__python} setup.py test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{python_sitelib}/sphinx/webtools/*
%{python_sitelib}/sphinx.webtools-*
%exclude %{python_sitelib}/sphinx/__init__.py*

%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2.1-20120537.hg86a2eac02afe
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-20120536.hg86a2eac02afe
- Escape macros in %%changelog

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-20120535.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-20120534.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120533.hg86a2eac02afe
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-20120532.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120531.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120530.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120529.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Andrea Veri <averi@fedoraproject.org> - 0.2.1-20130528.hg86a2eac02afe
- Make sure %%{python_sitelib}/sphinx is not owned by sphinx-webtools.
- Add the 02-remove-namespace.patch dropping the sphinx-webtools namespace. This fixes
  https://bugzilla.redhat.com/show_bug.cgi?id=919908.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120522.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120521.hg86a2eac02afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 20 2012 Andrea Veri <averi@fedoraproject.org> - 0.2.1-20120520.hg86a2eac02afe
- Disable package's test on Fedora Build machines.

* Wed May 16 2012 Andrea Veri <averi@fedoraproject.org> - 0.2.1-20120516.hg86a2eac02afe
- Enable package's tests.

* Tue May 15 2012 Andrea Veri <averi@fedoraproject.org> - 0.2.1-20120515.hg86a2eac02afe
- First package release.
